<template>
  <v-container>
    <v-row align="center">
      <v-col>
        <apexchart ref="radialBar" type="radialBar" :width="width" :height="height" :options="chartOptions" :series="series" />
      </v-col>
      <v-col>
        <v-card-subtitle>
        * El puntaje promedio obtenido refleja la calificación promedio realizado por todos los pacientes respecto al servicio psicológico brindado.
        </v-card-subtitle>
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
export default {
  name: 'ChartRadial',
  props: {
    'title': { default: '', type: String },
    'width': { default: '100%', type: String },
    'height': { default: '350', type: String },
    'value': { default: 1, type: Number },
    'total': { default: 1, type: Number },
  },
  data() {
    return {
      series: [this.value * 100 / this.total],
      chartOptions: {
        fill: {
          colors: [function ({ value, seriesIndex, w }) {
            if (value > 70) {
              return '#B9F6CA';
            } else if (value >= 45 && value < 70) {
              return '#FAE198';
            } else {
              return '#FF8888';
            }
          }],
        },
        stroke: {
          lineCap: 'round',
        },
        chart: {
          type: 'radialBar',
          toolbar: {
            show: true,
            tools: {
              download: true,
              selection: false,
              zoom: false,
              zoomin: false,
              zoomout: false,
              pan: false,
            },
          },
        },
        title: {
          text: this.title,
          align: 'center',
          style: {
            fontSize: '16px',
            fontWeight: '700',
            fontFamily: 'Montserrat',
            color: '#505050',
          },
        },
        plotOptions: {
          radialBar: {
            hollow: {
              size: '60%',
            },
            dataLabels: {
              value: {
                fontSize: '40px',
                fontWeight: 'bold',
                fontFamily: 'Helvetica, Arial, sans-serif',
              },
              total: {
                show: true,
                label: '',
                formatter: (val) => {
                  return this.value;
                },
              },
            },
          },
        },
      },
    };
  },
  methods: {
    updateChartRadial(value) {
      this.$refs.radialBar.updateOptions({
        series: [value * 100 / this.total],
      });
    },
  },
};

</script>
